sd card only mounted after reboot

Bug #184944 reported by ErikH on 2008-01-21
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-mount (Ubuntu)
Low
Unassigned

Bug Description

The TI card reader in the Acer Extensa 5220 isn't working fully.

With hardy (8.04) the situation looks a little bit better than with gutsy (7.10),
the sd card seems to be mounted correctly every time I reboot
the machine, but exchanging the card during normal operation
doesn't work.

### Here is the module usage when it works:

user@acer5220:~$ lsmod |grep tifm
tifm_sd 12936 0
mmc_core 51076 2 mmc_block,tifm_sd
tifm_7xx1 8576 0
tifm_core 11012 2 tifm_sd,tifm_7xx1
user@acer5220:~$ lsmod |grep mmc
mmc_block 14980 2
mmc_core 51076 2 mmc_block,tifm_sd

### As you can see mmc_block is used by 2 (unknown) "customers"

### Here is a detailed list of the Acer Extensa 5220 hardware (Oct 07 Modell)
user@acer5220:~$ lspci -vvv

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
 Latency: 0
 Capabilities: <access denied>

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fc000000 (64-bit, non-prefetchable) [size=1M]
 Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at 1800 [size=8]
 Capabilities: <access denied>

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Region 0: Memory at fc100000 (64-bit, non-prefetchable) [size=1M]
 Capabilities: <access denied>

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03) (prog-if 00 [UHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 20
 Region 4: I/O ports at 1820 [size=32]

00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03) (prog-if 00 [UHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 21
 Region 4: I/O ports at 1840 [size=32]

00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20 [EHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin C routed to IRQ 20
 Region 0: Memory at fc504800 (32-bit, non-prefetchable) [size=1K]
 Capabilities: <access denied>

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 21
 Region 0: Memory at fc300000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=02, subordinate=03, sec-latency=0
 I/O behind bridge: 00002000-00002fff
 Memory behind bridge: f6000000-f7ffffff
 Prefetchable memory behind bridge: 00000000f0000000-00000000f1ffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
 Capabilities: <access denied>

00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=04, subordinate=05, sec-latency=0
 I/O behind bridge: 00003000-00003fff
 Memory behind bridge: f8000000-f9ffffff
 Prefetchable memory behind bridge: 00000000f2000000-00000000f3ffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
 Capabilities: <access denied>

00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=06, subordinate=07, sec-latency=0
 I/O behind bridge: 00004000-00004fff
 Memory behind bridge: fa000000-fbffffff
 Prefetchable memory behind bridge: 00000000f4000000-00000000f5ffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
 Capabilities: <access denied>

00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 22
 Region 4: I/O ports at 1860 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 17
 Region 4: I/O ports at 1880 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin C routed to IRQ 18
 Region 4: I/O ports at 18a0 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20 [EHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 22
 Region 0: Memory at fc504c00 (32-bit, non-prefetchable) [size=1K]
 Capabilities: <access denied>

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if 01 [Subtractive decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Bus: primary=00, secondary=0f, subordinate=13, sec-latency=32
 I/O behind bridge: 0000f000-00000fff
 Memory behind bridge: fc200000-fc2fffff
 Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
 Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
 Capabilities: <access denied>

00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Capabilities: <access denied>

00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03) (prog-if 8a [Master SecP PriP])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 23
 Region 0: I/O ports at 01f0 [size=8]
 Region 1: I/O ports at 03f4 [size=1]
 Region 2: I/O ports at 0170 [size=8]
 Region 3: I/O ports at 0374 [size=1]
 Region 4: I/O ports at 1810 [size=16]

00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 220
 Region 0: I/O ports at 1c00 [size=8]
 Region 1: I/O ports at 18d4 [size=4]
 Region 2: I/O ports at 18d8 [size=8]
 Region 3: I/O ports at 18d0 [size=4]
 Region 4: I/O ports at 18e0 [size=32]
 Region 5: Memory at fc504000 (32-bit, non-prefetchable) [size=2K]
 Capabilities: <access denied>

00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Interrupt: pin C routed to IRQ 11
 Region 0: Memory at 88000000 (32-bit, non-prefetchable) [size=256]
 Region 4: I/O ports at 1c20 [size=32]

02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
 Subsystem: Acer Incorporated [ALI] Unknown device 011c
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR+ <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 219
 Region 0: Memory at f6000000 (64-bit, non-prefetchable) [size=64K]
 Expansion ROM at <ignored> [disabled]
 Capabilities: <access denied>

04:00.0 Network controller: Broadcom Corporation BCM94311MCG wlan mini-PCI (rev 01)
 Subsystem: AMBIT Microsystem Corp. Unknown device 0422
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 17
 Region 0: Memory at f8000000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

0f:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 168, Cache Line Size: 128 bytes
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at fc204000 (32-bit, non-prefetchable) [size=4K]
 Bus: primary=0f, secondary=10, subordinate=13, sec-latency=176
 Memory window 0: 8c000000-8ffff000 (prefetchable)
 Memory window 1: 90000000-93fff000
 I/O window 0: 00001400-000014ff
 I/O window 1: 00005000-000050ff
 BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
 16-bit legacy interface ports at 0001

0f:06.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller (prog-if 10 [OHCI])
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at fc206000 (32-bit, non-prefetchable) [size=2K]
 Region 1: Memory at fc200000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

0f:06.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 57 (1750ns min, 1000ns max), Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at fc205000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>

0f:06.3 SD Host controller: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
 Subsystem: Acer Incorporated [ALI] Unknown device 011f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 57 (1750ns min, 1000ns max), Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at fc206800 (32-bit, non-prefetchable) [size=256]
 Capabilities: <access denied>

### Here you can see my mounted partitions when everything works
user@acer5220:~$ mount

/dev/sda1 on / type ext3 (rw,errors=remount-ro)
proc on /proc type proc (rw,noexec,nosuid,nodev)
/sys on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,noexec,nosuid,nodev,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
devshm on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
lrm on /lib/modules/2.6.24-4-generic/volatile type tmpfs (rw)
/dev/sda2 on /altos type ext3 (rw)
/dev/sda6 on /data type ext3 (rw)
/dev/sda3 on /home type ext3 (rw)
securityfs on /sys/kernel/security type securityfs (rw)
/dev/mmcblk0p1 on /media/SANVOL type vfat (rw,nosuid,nodev,uhelper=hal,shortname=mixed,uid=1000,utf8,umask=077,usefree)

### All data in dmesg related to mmc and tifm modules:

user@acer5220:~$ dmesg |grep -e mmc -e tifm
[ 41.302610] tifm_core: MMC/SD card detected in socket 0:1
[ 42.830720] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[ 44.932439] mmc0: new SD card at address 0002
[ 44.949619] mmcblk0: mmc0:0002 SD512 484096KiB
[ 44.949656] mmcblk0: p1

### Now I remove the sd card via desktop using
### context menu entry "Unmount Volume"
### There are no new lines in dmesg and the SANVOL entry in /media is gone.

### Removing the unmounted sd card results in the following output in dmesg
[ 1206.260098] tifm0 : demand removing card from socket 0:1
[ 1206.260136] mmc0: card 0002 removed

### And now the trouble starts ;-)
### Inserting the card again (or another one)

[ 1227.255649] tifm_core: MMC/SD card detected in socket 0:1

### Nothing more happening, no "mmcblk0: ..." line like above.

### And according to lsmod nobody uses mmc_block now

user@acer5220:/etc/network$ lsmod |grep -e mmc -e tifm
mmc_block 14980 0
tifm_sd 12936 0
mmc_core 51076 2 mmc_block,tifm_sd
tifm_7xx1 8576 0
tifm_core 11012 2 tifm_sd,tifm_7xx1

I have no clue where to look any further, e.g. here to add some debugging output: udev?, mmc_*, tifm_*

### The End (for hardy/8.04)

### More data regarding gutsy (7.10)
###
### I have tried lots of rmmod/modprobe combos of mmc_* and tifm_*
### with my previous gutsy installation (7.10).
### Only once the sd card was mounted.
### The difference was that "modprobing" tifm_7xx1 suddenly
### caused lots of output from udevmonitor,
### tifm_sd was automatically inserted and only in that
### round I saw udevmonitor reporting about mmc_block and mmcblk stuff.
### Later I tried the same combo of commands without any success.
###
### The card was mounted as
...
/dev/mmcblk0p1 on /media/SANVOL type vfat (ro,nosuid,nodev,shortname=mixed,uid=1000,utf8,umask=077,usefree)

### Command history 1. terminal
  243 sudo modprobe tifm_sd
  244 lsmod |grep tifm
  245 sudo rmmod tifm_sd
  246 sudo rmmod tifm_core
  247 sudo rmmod mmc_core
  248 sudo modprobe mmc_core
  249 sudo modprobe tifm_core
  250 sudo modprobe tifm_7xx1
  251 lsmod |grep tifm_sd
  252 mount
  253 history

### udevmonitor output 2. terminal
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UDEV [1199336386.006951] remove /class/mmc_host (class)
UDEV [1199336386.008181] remove /bus/mmc/drivers (bus)
UEVENT[1199336386.008606] remove /bus/mmc/devices (bus)
UDEV [1199336386.009446] remove /bus/mmc/devices (bus)
UEVENT[1199336386.009864] remove /bus/mmc (bus)
UEVENT[1199336386.014277] remove /module/mmc_core (module)
UDEV [1199336386.015274] remove /bus/mmc (bus)
UDEV [1199336386.015965] remove /module/mmc_core (module)
UEVENT[1199336399.676991] add /module/tifm_core (module)
UEVENT[1199336399.679026] add /module/mmc_core (module)
UEVENT[1199336399.680242] add /module/tifm_sd (module)
UEVENT[1199336399.680704] add /bus/tifm/drivers/tifm_sd (drivers)
UDEV [1199336399.682308] add /module/tifm_core (module)
UDEV [1199336399.683388] add /module/mmc_core (module)
UDEV [1199336399.684472] add /module/tifm_sd (module)
UDEV [1199336399.685626] add /bus/tifm/drivers/tifm_sd (drivers)
UDEV [1199336429.310824] remove /bus/tifm/drivers/tifm_sd (drivers)
UDEV [1199336429.310926] remove /module/tifm_sd (module)
UEVENT[1199336435.365950] remove /class/tifm_adapter (class)
UEVENT[1199336435.365997] remove /bus/tifm/drivers (bus)
UEVENT[1199336435.366028] remove /bus/tifm/devices (bus)
UEVENT[1199336435.366058] remove /bus/tifm (bus)
UEVENT[1199336435.366088] remove /module/tifm_core (module)
UDEV [1199336435.367011] remove /class/tifm_adapter (class)
UDEV [1199336435.368050] remove /bus/tifm/drivers (bus)
UDEV [1199336435.369032] remove /bus/tifm/devices (bus)
UDEV [1199336435.374516] remove /module/tifm_core (module)
UDEV [1199336435.375474] remove /bus/tifm (bus)
UEVENT[1199336441.333865] remove /class/mmc_host (class)
UEVENT[1199336441.334307] remove /bus/mmc/drivers (bus)
UEVENT[1199336441.334650] remove /bus/mmc/devices (bus)
UEVENT[1199336441.335006] remove /bus/mmc (bus)
UEVENT[1199336441.335226] remove /module/mmc_core (module)
UDEV [1199336441.336711] remove /class/mmc_host (class)
UDEV [1199336441.337738] remove /bus/mmc/drivers (bus)
UDEV [1199336441.342985] remove /bus/mmc/devices (bus)
UDEV [1199336441.344177] remove /module/mmc_core (module)
UDEV [1199336441.345083] remove /bus/mmc (bus)
UDEV [1199336449.312799] add /module/mmc_core (module)
UEVENT[1199336457.204245] add /module/tifm_core (module)
UDEV [1199336457.205713] add /module/tifm_core (module)
UEVENT[1199336467.585964] add /module/tifm_7xx1 (module)
UEVENT[1199336467.590255] add /bus/pci/drivers/tifm_7xx1 (drivers)
UEVENT[1199336467.590943] add /class/tifm_adapter/tifm0 (tifm_adapter)
UDEV [1199336467.592607] add /module/tifm_7xx1 (module)
UDEV [1199336467.593791] add /bus/pci/drivers/tifm_7xx1 (drivers)
UDEV [1199336467.595043] add /class/tifm_adapter/tifm0 (tifm_adapter)
UEVENT[1199336467.622915] add /devices/pci0000:00/0000:00:1e.0/0000:0f:06.2/tifm_sd0:1 (tifm)
UEVENT[1199336467.633325] add /module/tifm_sd (module)
UEVENT[1199336467.633825] add /bus/tifm/drivers/tifm_sd (drivers)
UDEV [1199336467.634967] add /module/tifm_sd (module)
UDEV [1199336467.636124] add /bus/tifm/drivers/tifm_sd (drivers)
UEVENT[1199336467.690995] add /class/mmc_host/mmc0 (mmc_host)
UDEV [1199336467.697661] add /devices/pci0000:00/0000:00:1e.0/0000:0f:06.2/tifm_sd0:1 (tifm)
UDEV [1199336467.718022] add /class/mmc_host/mmc0 (mmc_host)
UEVENT[1199336467.801734] add /class/mmc_host/mmc0/mmc0:0002 (mmc)
UEVENT[1199336467.866214] add /module/mmc_block (module)
UDEV [1199336467.867420] add /module/mmc_block (module)
UEVENT[1199336467.867837] add /bus/mmc/drivers/mmcblk (drivers)
UDEV [1199336467.869099] add /bus/mmc/drivers/mmcblk (drivers)
UEVENT[1199336467.870770] add /block/mmcblk0 (block)
UEVENT[1199336467.870789] add /block/mmcblk0/mmcblk0p1 (block)
UDEV [1199336467.887191] add /class/mmc_host/mmc0/mmc0:0002 (mmc)
UDEV [1199336467.936122] add /block/mmcblk0 (block)
UDEV [1199336468.016272] add /block/mmcblk0/mmcblk0p1 (block)
UEVENT[1199336468.219594] add /module/fat (module)
UEVENT[1199336468.219792] add /slab/fat_cache (slab)
UEVENT[1199336468.219871] add /slab/fat_inode_cache (slab)
UDEV [1199336468.221605] add /module/fat (module)
UDEV [1199336468.222657] add /slab/fat_cache (slab)
UDEV [1199336468.223753] add /slab/fat_inode_cache (slab)
UEVENT[1199336468.260382] add /module/vfat (module)
UDEV [1199336468.271464] add /module/vfat (module)
UEVENT[1199336468.293689] add /module/nls_cp437 (module)
UDEV [1199336468.304065] add /module/nls_cp437 (module)
UEVENT[1199336468.339215] add /module/nls_iso8859_1 (module)
UDEV [1199336468.340751] add /module/nls_iso8859_1 (module)

### The real End

Erik

ErikH (erik-heckers) wrote :

This problems seems to be related to the sd card used.
I rebooted the machine without any sd card plugged in and
now many cards work and are detected and mounted immediately
after inserting them. But the card I used for extensive testing
before doesn't (It works fine in other machines and after a reboot
like described above).

Erik

Hello!

I have a similar problem here, but without the rebooting. It seems that some SD cards are correctly mounted, but others are not. I have Kubuntu 7.10 on an Acer 5220.

When I insert a SD card (256 MB) into the card reader, a window pops up and I am asked what I want to do next (mounting, pulling pictures etc). The card is then mounted automatically. Here is the output of dmesg:

[ 106.624000] tifm_core: MMC/SD card detected in socket 0:1
[ 107.164000] mmcblk0: mmc1:a95c SD256 247040KiB (ro)
[ 107.164000] mmcblk0: p1

When I insert another SD card (2 GB), no window pops up, and dmesg says:

[ 275.724000] tifm_core: MMC/SD card detected in socket 0:1

So, the mmcblk0 stuff is missing. I also looked at other various files in /var/log, but did not find an additional information.

When I use the SD card that did not work with an external card reader that is attached via USB, it is recognised and automatically mounted.

Maybe it is a SD card size problem?

Christian

Saivann Carignan (oxmosys) wrote :

Your problem very looks like the bug I reproduced in bug 199215. Can you install all Hardy updates in order to have the latest kernel, install gparted (sudo apt-get install gparted), put a SD card that does not automatically mount, and then open gparted (gksu gparted) and look if your device is listed? If your device is listed in gparted, you can also let gparted automount your SD card to see if it successfully mounts.

In my case, I had the same problem than you, but it appears that the kernel correctly detects the device, but that the device is not mount automatically most of time, but still usable and mountable.

Currently, I can't tell about hardy. I am using kubuntu 7.10, and when I start qtparted (the KDE frontend for parted), only my hard disk is listed, but not the 2 GB SD card. But here also, the card is detected by the kernel, but not mounted correctly. But 100% of the time. It seems to be an unrelated problem. But when hardy is officially released, I am going to upgrade, and then let's see whether the problem vanishes.

AndrewTheArt (andrewtheartist) wrote :

I have the same problem, and strangely enough, I've noticed that reinserting my SD card around five times finally makes Hardy mount/recognize it - it consistently fails the previous four times. It's extremely finicky. Just try reinserting it a few times and see what that does.

Here's a failed mount -

[ 6265.696645] tifm_core: MMC/SD card detected in socket 0:1
[ 6265.911239] mmc1: error -110 whilst initialising SD card

Then I remove it ...

[ 6274.307286] tifm0 : demand removing card from socket 0:1

Then I reinsert it, and success!

[ 6275.060127] tifm_core: MMC/SD card detected in socket 0:1
[ 6275.223332] mmc1: new SD card at address 0002
[ 6275.267245] mmcblk0: mmc1:0002 00000 1993728KiB
[ 6275.267443] mmcblk0: p1
[ 6312.606090] tifm0 : demand removing card from socket 0:1
[ 6312.606132] mmc1: card 0002 removed
[ 6548.132362] tifm_core: MMC/SD card detected in socket 0:1
[ 6551.144036] tifm0 : demand removing card from socket 0:1
[ 6551.696433] tifm_core: MMC/SD card detected in socket 0:1
[ 6553.933985] tifm0 : demand removing card from socket 0:1
[ 6554.925370] tifm_core: MMC/SD card detected in socket 0:1
[ 6555.088548] mmc1: new SD card at address 0002
[ 6555.088860] mmcblk0: mmc1:0002 00000 1993728KiB
[ 6555.088900] mmcblk0: p1
[ 6556.857953] tifm0 : demand removing card from socket 0:1
[ 6556.857995] mmc1: card 0002 removed
[ 6558.945006] tifm_core: MMC/SD card detected in socket 0:1
[ 6560.354371] tifm0 : demand removing card from socket 0:1
[ 6560.697358] tifm_core: MMC/SD card detected in socket 0:1
[ 6561.473861] tifm0 : demand removing card from socket 0:1
[ 6561.686426] tifm_core: MMC/SD card detected in socket 0:1
[ 6561.859695] mmc1: new SD card at address 0002
[ 6561.859963] mmcblk0: mmc1:0002 00000 1993728KiB
[ 6561.860014] mmcblk0: p1
[ 6621.595455] tifm0 : demand removing card from socket 0:1
[ 6621.595498] mmc1: card 0002 removed
[ 6740.795283] tifm_core: MMC/SD card detected in socket 0:1
[ 6741.686572] tifm0 : demand removing card from socket 0:1
[ 6741.866280] tifm_core: MMC/SD card detected in socket 0:1
[ 6742.937231] tifm0 : demand removing card from socket 0:1
[ 6743.324368] tifm_core: MMC/SD card detected in socket 0:1
[ 6744.476202] tifm0 : demand removing card from socket 0:1
[ 6744.898835] tifm_core: MMC/SD card detected in socket 0:1
[ 6746.224929] tifm0 : demand removing card from socket 0:1
[ 6746.613217] tifm_core: MMC/SD card detected in socket 0:1
[ 6746.939506] mmc1: new SD card at address 0002
[ 6746.941043] mmcblk0: mmc1:0002 00000 1993728KiB
[ 6746.941084] mmcblk0: p1
[ 6767.780974] tifm0 : demand removing card from socket 0:1
[ 6767.781012] mmc1: card 0002 removed
[ 6893.409481] APIC error on CPU0: 40(40)
[ 6893.394743] APIC error on CPU1: 40(40)
[ 7128.978774] tifm_core: MMC/SD card detected in socket 0:1
[ 7142.082836] tifm0 : demand removing card from socket 0:1
[ 7142.431799] tifm_core: MMC/SD card detected in socket 0:1
[ 7142.594981] mmc1: new SD card at address 0002
[ 7142.595218] mmcblk0: mmc1:0002 00000 1993728KiB
[ 7142.595257] mmcblk0: p1

Siddhu Warrier (siddhuwarrier) wrote :

This problem continues to plague Ubuntu 8.10. Hence, the bump. ~bump~ :)

+1 for Intrepid.

Daniel T Chen (crimsun) on 2008-11-26
Changed in gnome-volume-manager:
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:

 * Is this reproducible?
 * If so, what specific steps should we take to recreate this bug?

 This will help us to find and resolve the problem.

Changed in gnome-mount:
importance: Undecided → Low
status: Confirmed → Incomplete

Hi yes this bug is reproducible. It may be reproduced as follows:

1. Pop SD card in.

2. Unmount it (I did this graphically).

3. Push the SD card back in.

4. It won't mount in that case.

Is this sufficient detail?

Thanks,

Siddhu

On Thu, Mar 5, 2009 at 5:14 PM, Sebastien Bacher <email address hidden> wrote:

> Thank you for taking the time to report this bug and helping to make Ubuntu
> better. Please answer these questions:
>
> * Is this reproducible?
> * If so, what specific steps should we take to recreate this bug?
>
> This will help us to find and resolve the problem.
>
> ** Changed in: gnome-mount (Ubuntu)
> Importance: Undecided => Low
> Status: Confirmed => Incomplete
>
> --
> sd card only mounted after reboot
> https://bugs.launchpad.net/bugs/184944
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Source code repository and Project Documentation:
http://www.origo.ethz.ch/users/siddhuwarrier
Blog: http://siddhuw.wordpress.com

Sebastien Bacher (seb128) wrote :

could you run "gvfs-mount -li" before and after adding the card and "lshal --monitor" while you add the card and copy the log to the bug?

Sebastien Bacher (seb128) wrote :

We are closing this bug report as it lacks the information, described in the previous comments, we need to investigate the problem further. However, please reopen it if you can give us the missing information and don't hesitate to submit bug reports in the future.

Changed in gnome-mount (Ubuntu):
status: Incomplete → Invalid
Olivier Blanc (olivier-blanc) wrote :

I do have the same problem.
Here are the information required :

Before insertion :

olivier@bibi-3:~$ gvfs-mount -li
Drive(0): Lecteur de stockage de masse
  Type: GProxyDrive (GProxyVolumeMonitorHal)
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_serial_SATA_WDC_WD800BEVS_2_WD_WXEY07195309'
   unix-device: '/dev/sda'
  themed icons: [drive-removable-media] [drive-removable] [drive]
  is_media_removable=0
  has_media=1
  is_media_check_automatic=0
  can_poll_for_media=0
  can_eject=0
  Volume(0): ACER
    Type: GProxyVolume (GProxyVolumeMonitorHal)
    ids:
     uuid: 'B0E0100EE00FDA0C'
     hal-udi: '/org/freedesktop/Hal/devices/volume_uuid_B0E0100EE00FDA0C'
     unix-device: '/dev/sda2'
     label: 'ACER'
    uuid=B0E0100EE00FDA0C
    themed icons: [drive-removable-media] [drive-removable] [drive]
    can_mount=1
    can_eject=0
Drive(1): Lecteur CD-RW/DVD-ROM
  Type: GProxyDrive (GProxyVolumeMonitorHal)
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_CD_RW_CRX880A'
   unix-device: '/dev/sr0'
  themed icons: [drive-optical-recorder] [drive-optical] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1

After insertion :

olivier@bibi-3:~$ gvfs-mount -li
Drive(0): Lecteur de stockage de masse
  Type: GProxyDrive (GProxyVolumeMonitorHal)
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_serial_SATA_WDC_WD800BEVS_2_WD_WXEY07195309'
   unix-device: '/dev/sda'
  themed icons: [drive-removable-media] [drive-removable] [drive]
  is_media_removable=0
  has_media=1
  is_media_check_automatic=0
  can_poll_for_media=0
  can_eject=0
  Volume(0): ACER
    Type: GProxyVolume (GProxyVolumeMonitorHal)
    ids:
     uuid: 'B0E0100EE00FDA0C'
     hal-udi: '/org/freedesktop/Hal/devices/volume_uuid_B0E0100EE00FDA0C'
     unix-device: '/dev/sda2'
     label: 'ACER'
    uuid=B0E0100EE00FDA0C
    themed icons: [drive-removable-media] [drive-removable] [drive]
    can_mount=1
    can_eject=0
Drive(1): Lecteur CD-RW/DVD-ROM
  Type: GProxyDrive (GProxyVolumeMonitorHal)
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_CD_RW_CRX880A'
   unix-device: '/dev/sr0'
  themed icons: [drive-optical-recorder] [drive-optical] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1

Here is the trace of lshal --monitor :
olivier@bibi-3:~/trav/workspace/deploiement/outils-virtualisation$ lshal --monitor

Start monitoring devicelist:
-------------------------------------------------
15:17:21.877: pci_104c_803b_mmc_host added
15:17:25.030: computer_power_supply_battery_BAT0 property battery.voltage.current = 12496 (0x30d0)
15:18:09.979: pci_104c_803b_mmc_host removed

Can I provide mode informations ?

Thanks for your help

Olivier

Olivier Blanc (olivier-blanc) wrote :

After a reboot (with the SD card plugged in) I have the following disk viewed by gvfs-mount -li

Drive(2): Lecteur SD/MMC
  Type: GProxyDrive (GProxyVolumeMonitorHal)
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_serial_0x9c2a7ba5'
   unix-device: '/dev/mmcblk0'
  themed icons: [drive-removable-media-flash-sd] [drive-removable-media-flash] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=0
  has_media=1
  is_media_check_automatic=0
  can_poll_for_media=0
  can_eject=0
  Volume(0): Média 2,0 Gio
    Type: GProxyVolume (GProxyVolumeMonitorHal)
    ids:
     uuid: '2636-7E9E'
     hal-udi: '/org/freedesktop/Hal/devices/volume_uuid_2636_7E9E'
     unix-device: '/dev/mmcblk0p1'
    uuid=2636-7E9E
    themed icons: [drive-removable-media-flash-sd] [drive-removable-media-flash] [drive-removable-media] [drive-removable] [drive]
    can_mount=1
    can_eject=0
    Mount(0): Média 2,0 Gio -> file:///media/disk-1
      Type: GProxyMount (GProxyVolumeMonitorHal)
      uuid=2636-7E9E
      themed icons: [media-flash-sd] [media-flash] [media]
      can_unmount=1
      can_eject=0
      is_shadowed=0

Here is an extract of dmesg (dmesg | grep mmc ) :
[ 6.013261] sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
[ 17.886278] Registered led device: mmc0::
[ 17.886318] mmc0: SDHCI controller on PCI [0000:0f:06.3] using PIO
[ 18.574660] mmc1: new SD card at address 1234
[ 18.629220] mmcblk0: mmc1:1234 SA02G 1.83 GiB
[ 18.629277] mmcblk0: p1

Olivier Blanc (olivier-blanc) wrote :

Here is the dmesg information after removing the card and inserting it again :
[ 4146.610655] tifm0 : demand removing card from socket 0:1
[ 4146.610698] mmc1: card 1234 removed
[ 4154.344067] tifm_core: MMC/SD card detected in socket 0:1
[ 4154.441655] mmc1: error -84 whilst initialising SD card

Here is the output of lshal --monitor

Start monitoring devicelist:
-------------------------------------------------
16:45:27.368: volume_uuid_2636_7E9E property volume.mount_point = ''
16:45:27.371: volume_uuid_2636_7E9E property volume.is_mounted = false
16:45:37.611: volume_uuid_2636_7E9E removed
16:45:37.654: storage_serial_0x9c2a7ba5 removed
16:45:37.668: pci_104c_803b_mmc_card_rca4660 removed
16:45:37.672: pci_104c_803b_mmc_host removed
16:45:45.401: pci_104c_803b_mmc_host added

BTW, I am running Ubuntu 9.04, on Acer TravelMate 5320, with following kernel :
Linux bibi-3 2.6.30-2-generic #3-Ubuntu SMP Fri May 1 01:38:05 UTC 2009 i686 GNU/Linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers